Announcement

Collapse
No announcement yet.

VaRest breaks packaging in 4.25.2

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

    VaRest breaks packaging in 4.25.2

    Just updated to 4.25.2 and it seems VaRest didn't like it because now everytime I try to pack any project I get this:

    UATHelper: Packaging (Android (ASTC)): ERROR: Expecting to find a type to be declared in a module rules named 'VaRest' in UE4Rules, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null. This type must derive from the 'ModuleRules' type defined by Unreal Build Tool.
    PackagingResults: Error: Expecting to find a type to be declared in a module rules named 'VaRest' in UE4Rules, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null. This type must derive from the 'ModuleRules' type defined by Unreal Build Tool.
    Tried all the usual stuff. Seems that the issue is on the VaRest level. Any recommendations?

    #2
    It's every single plugin. I cannot compile and build my game either, since 4.25.2. The same error shows up for every plugin.

    Comment


      #3
      Same problem here, breaking all plugins

      Comment


        #4
        This i temp solution: Copy the plugins from the engine/plugins/marketplace folder to your project's plugin folder.

        Comment


          #5
          https://forums.unrealengine.com/unre...22#post1792437
          Engine Plugins
          EOSCore:: | SteamCore:: | SteamCore::Web | Foliage Plugin | EventDispatcher | Thumbnailer

          Comment

          Working...
          X